For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
Article

DraftTransitionFailedItemResponse

Use with AI:Rippling AI ChatGPT Claude Cursor

DraftTransitionFailedItemResponse

    index integerrequired

    Zero-based index of this item in the submitted items array.

    worker_id stringrequired

    Target worker identifier, matching the id returned by GET /workers/{id}/.

    status stringrequired

    Possible values: [ACCEPTED, PROCESSING, COMPLETED, COMPLETED_WITH_WARNINGS, FAILED]

    Item processing state; failed items have FAILED status.

    errors

    object[]

    required

    Errors explaining why this item failed.

  • Array [

  • code stringrequired

    Machine-readable warning or error code.

    message stringrequired

    Explanation of the issue and, when applicable, how to correct it.

    field_path stringnullable

    Path to the affected request field, when available.

  • ]